Slince\Shopify\Manager\Transaction\Transaction:
    properties:
        id:
            type: integer
        amount:
            type: float
        authorization:
            type: string
        createdAt:
            type: DateTime<'Y-m-d\TH:i:sP'>
        deviceId:
            type: string
        gateway:
            type: string
        sourceName:
            type: string
        paymentDetails:
            type: Slince\Shopify\Manager\Order\ClientDetails
        kind:
            type: string
        orderId:
            type: integer
        receipt:
            type: array
        errorCode:
            type: string
        status:
            type: string
        test:
            type: boolean
        userId:
            type: integer
        currency:
            type: string
        adminGraphqlApiId:
            type: string